Bug 831489 - mt-daapd starts too early when using nfs share
mt-daapd starts too early when using nfs share
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mt-daapd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jean-Francois Saucier
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 02:35 EDT by Timo Mäkinen
Modified: 2013-08-21 20:51 EDT (History)
1 user (show)

See Also:
Fixed In Version: mt-daapd-0.2.4.2-17.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 20:45:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timo Mäkinen 2012-06-13 02:35:56 EDT
Description of problem:

When sharing music from directory which is mounted via NFS mt-daapd starts before disk is mounted.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. add NFS mount to /etc/fstab
2. configure mt-daapd to use NFS mounted directory as mp3 directory
3. reboot host
  
Actual results:

mt-daapd does not find music directory and logs error:

Jun 13 01:32:55 vm22 mt-daapd[771]: Bad mp3 directory (/srv/media/music/Releases): No such file or directory

Expected results:

mt-daapd should start normally

Additional info:

Adding remote-fs.target to Wants and After sections in mt-daapd.service file seems to fix errors.
Comment 1 Fedora End Of Life 2013-04-03 11:27:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Fedora Update System 2013-08-07 13:18:05 EDT
mt-daapd-0.2.4.2-17.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mt-daapd-0.2.4.2-17.fc19
Comment 3 Fedora Update System 2013-08-07 13:26:51 EDT
mt-daapd-0.2.4.2-17.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mt-daapd-0.2.4.2-17.fc18
Comment 4 Fedora Update System 2013-08-09 13:08:24 EDT
Package mt-daapd-0.2.4.2-17.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mt-daapd-0.2.4.2-17.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14499/mt-daapd-0.2.4.2-17.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-08-21 20:45:40 EDT
mt-daapd-0.2.4.2-17.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-08-21 20:51:12 EDT
mt-daapd-0.2.4.2-17.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.